import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/blade-manager/trial/summary/page',
    method: 'get',
    params: {
      ...params,
      current,
      size
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/blade-manager/trial/summary/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/blade-manager/trial/summary/remove',
    method: 'get',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-manager/trial/summary/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-manager/trial/summary/submit',
    method: 'post',
    data: row
  })
}
